#ifndef EXPROP_STDAFX_H
#define EXPROP_STDAFX_H

// Define
#ifndef UNICODE
    #define UNICODE
#endif

#define _pai_  3.14159265358979323846264338327950288419717
#define angleToRadian( a )      ( a * _pai_ / 180.0 )
#define radianToAnagle( r )     ( r * 180.0 / _pai_ )
#define toColorF( v )           ( v / 255.f )
#define fromColorF( v )         ( v * 255.f )
#define validFromColorF( v )    qMin(255,(int)(fromColorF(v)))

// Std c++ include
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>

// Qt Define
#ifndef QT_LARGEFILE_SUPPORT
    #define QT_LARGEFILE_SUPPORT
#endif

#ifndef QT_THREAD_SUPPORT
    #define QT_THREAD_SUPPORT
#endif


// Qt Include
#ifdef QT_CORE_LIB
    #include <QtGlobal>
    #include <QtPlugin>
    #include <QCoreApplication>
    #include <QDateTime>
    #include <QDebug>
    #include <QDir>
    #include <QFile>
    #include <QFileInfo>
    #include <QHash>
    #include <QList>
    #include <QListIterator>
    #include <QMap>
    #include <QMimeData>
    #include <QMultiMap>
    #include <QMutex>
    #include <QObject>
    #include <QPluginLoader>
    #include <QPointF>
    #include <QQueue>
    #include <QRectF>
    #include <QSettings>
    #include <QString>
    #include <QStringList>
    #include <QSignalMapper>
    #include <QSysInfo>
    #include <QThread>
    #include <QTimerEvent>
    #include <QUrl>
    #include <QWaitCondition>
#endif //QT_CORE_LIB

#ifdef QT_GUI_LIB
    #include <QtGui>
    #include <QAction>
    #include <QActionGroup>
    #include <QApplication>
    #include <QBitmap>
    #include <QCDEStyle>
    #include <QCleanlooksStyle>
    #include <QCloseEvent>
    #include <QColorDialog>
    #include <QDesktopServices>
    #include <QDesktopWidget>
    #include <QDockWidget>
    #include <QDragEnterEvent>
    #include <QDragMoveEvent>
    #include <QDropEvent>
    #include <QFileDialog>
    #include <QGraphicsItem>
    #include <QGraphicsScene>
    #include <QGraphicsSceneMouseEvent>
    #include <QGraphicsView>
    #include <QIcon>
    #include <QImage>
    #include <QImageReader>
    #include <QMatrix4x4>
    #include <QMenu>
    #include <QMenuBar>
    #include <QMessageBox>
    #include <QMdiArea>
    #include <QMdiSubWindow>
    #include <QMotifStyle>
    #include <QMouseEvent>
    #include <QPainter>
    #include <QPen>
    #include <QPixmap>
    #include <QPixmapCache>
    #include <QPlastiqueStyle>
    #include <QPushButton>
    #include <QProgressDialog>
    #include <QResizeEvent>
    #include <QSplashScreen>
    #include <QStackedWidget>
    #include <QStyleFactory>
    #include <QToolBar>
    #include <QTreeView>
    #include <QTreeWidgetItem>
    #include <QWidget>
    #include <QWindowsStyle>
    #include <QWindowsVistaStyle>
    #include <QWindowsXPStyle>
    #include <QWizard>
#endif //QT_GUI_LIB

#ifdef QT_OPENGL_LIB
    #include <QGLWidget>
#endif

#ifdef QT_SVG_LIB
    #include <QGraphicsSvgItem>
    #include <QSvgRenderer>
#endif //QT_SVG_LIB

#ifdef QT_XML_LIB
    #include <QXmlDefaultHandler>
#endif //QT_XML_LIB

#endif // EXPROP_STDAFX_H