#ifndef ANILATOOLBARMANAGER_H
#define ANILATOOLBARMANAGER_H

class AniLaToolBarManager : public QObject
{
    Q_OBJECT
public:
                    AniLaToolBarManager( QMainWindow * parent );
    virtual         ~AniLaToolBarManager();
public:
            void    initialization();
            void    restoreState( const QByteArray &state,
                                  int version );
         QByteArray saveState( int version ) const;

public slots:;
            void    configureToolBars();
            void    addToolBarManager( QMenu * menu );
            void    addToolBarManager( QAction * action );
            void    removeToolBarManager( QMenu * menu );
            void    removeToolBarManager( QAction * action );

private slots:;
            void    removeToolBarManager( QObject * obj );
private:
            bool    m_isInit;
};

#endif // ANILATOOLBARMANAGER_H
